socket_udp6(3)

NAME
socket_udp6 - create a non-blocking IPv6 UDP/IP datagram socket

SYNTAX
#include <libowfat/socket.h>

int socket_udp6();

DESCRIPTION
socket_udp6 creates a non-blocking UDP/IP datagram socket and returns a file descriptor pointing to that socket. If something goes wrong, socket_udp6 returns -1, setting errno appropriately, without allocating any resources.

EXAMPLE
  #include <libowfat/socket.h>

  int s;
  char ip[16];
  uint16 p;

  s = socket_udp6();
  socket_bind6(s,ip,p);
  socket_connect6(s,ip,p);

SEE ALSO
socket_bind4(3), socket_bind6(3)